slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVSetSizes

Sets the local and global sizes, and the number of columns.

### Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVSetSizes(BV bv,PetscInt n,PetscInt N,PetscInt m)

Collective

### Input Parameters

| bv | - the basis vectors
| n | - the local size (or PETSC_DECIDE to have it set)
| N | - the global size (or PETSC_DECIDE)
| m | - the number of columns

### Notes

n and N cannot be both PETSC_DECIDE. If one processor calls this with N of PETSC_DECIDE then all processors must, otherwise the program will hang.

### See Also

BVSetSizesFromVec(), BVGetSizes(), BVResize()

### Level

beginner

### Location

src/sys/classes/bv/interface/bvbasic.c
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages